sb2-init(1)

NAME
sb2-init - initialize a target for scratchbox2

SYNOPSIS
sb2-init [OPTION]... [TARGETNAME] [COMPILER[:SPECS]] [SECONDARY_COMPILER...]

DESCRIPTION
sb2-init initializes a target for scratchbox2. If no options or other parameters are given, already initialized targets are listed.

A scratchbox2 target is simply a light-weight, symbolic name for a configuration set. A target does not contain anything that is active, like running processes; hence a user never "works inside a target”. Instead, sessions are used for all active operations. Sessions are created by the sb2 command.

sb2-init is expected to be run in the directory you want to use as the target root filesystem.

TARGETNAME is the name of the target to initialize. If it refers to an existing target, then the target is re-initialized. Otherwise a new one is created.

COMPILER is full path to a cross-compiler (gcc), of the form $HOME/arm-2006q3/bin/arm-linux-gcc. An optional SPECS parameter is path to the compiler specs file.

If more than one compiler is specified, additional compilers are available by version number (e.g. if the primary is known as "gcc" and "gcc-4.1", the secondary may be "gcc-3.4", etc)

Note that the compiler is usually used during the target creation process to determine CPU architecture of the target system.

OPTIONS

-c "command"
    specify cpu transparency command, for example: "qemu-arm", "sbrsh" or "qemu-arm -R 256M". CPU transparency method is the program which is used to execute foreign binaries, that the host computer can not execute directly.

-p "command"
    specify cpu transparency command for staticly linked native binaries.

-r [hostname]
    generate sbrsh config using remote device address

-l [hostname]
    NFS server/localhost address seen by remote device

-d  set target as default scratchbox2 target (default target can also be set later with the sb2-config command)

-m [mapping_mode]
    use mapping_mode as default. Default for this is "simple"

-h  Print help.

-n  don't build libtool for the target

-N  don't generate localization files for the target

-s  skip checks for target root's /usr/include etc.

-t [tools_dir]
    set directory containing the build tools distribution

-C "options"
    add extra options for the compiler, for example: -C "-fgnu89-inline"

-A arch
    manually override target architecture

-M arch
    manually override machine name (see uname(2)). This defaults to the target architecture (see option -A)

-v  display version

EXAMPLES

mkdir $HOME/buildroot
cd $HOME/buildroot
[fetch a rootfs from somewhere and extract it here]
sb2-init -c qemu-arm TARGET /path/to/cross-compiler/bin/arm-linux-gcc

FILES

$HOME/.scratchbox2/*

SEE ALSO
sb2(1), sb2-config(1), qemu(1)

BUGS
No known bugs at this time.

AUTHORS
Lauri T. Aarnio